<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.core.biz.dao.TscEnvsetDao">

	<!-- 환경설정 정보 -->
	<select id="getEnvset" parameterType="Envset" resultType="Envset">
		/* TscEnvset.getEnvset */
		SELECT SITE_CD
		     , ENVSET_TYPE
		     , ENVSET_NM
		     , STR_SET_VAL1
		     , STR_SET_VAL2
		     , STR_SET_VAL3
		     , STR_SET_VAL4
		     , STR_SET_VAL5
		     , STR_SET_VAL6
		     , STR_SET_VAL7
		     , STR_SET_VAL8
		FROM   TB_ENVSET
		WHERE  ENVSET_SQ = (SELECT MAX(ENVSET_SQ)
		                    FROM   TB_ENVSET
		                    WHERE  SITE_CD = #{siteCd}
		                    AND    ENVSET_TYPE = #{envsetType}
		                   )
	</select>

</mapper>
